aboutsummaryrefslogtreecommitdiff
diff options
context:
space:
mode:
authorAvatar Ciaran McCreesh <ciaran.mccreesh@googlemail.com> 2012-05-11 17:57:40 +0100
committerAvatar Ciaran McCreesh <ciaran.mccreesh@googlemail.com> 2012-05-11 17:57:40 +0100
commit5b3c7ea5f9842a5ec43115ef365febab762c8a1d (patch)
treea136b418b31d90938459ff958b25d349b27cf2cd
parent1d9a9cbd08cdd026a4e0eccf35ec2b83dd1b04e3 (diff)
downloadpaludis-5b3c7ea5f9842a5ec43115ef365febab762c8a1d.tar.gz
paludis-5b3c7ea5f9842a5ec43115ef365febab762c8a1d.tar.xz
Revert "Gentoo doesn't use -j1 for src_test"
This reverts commit a3fec0e99a9e429ea24feff5cfa52c683dc51015. Apparently they do after all, and it just isn't specced.
-rw-r--r--paludis/repositories/e/ebuild/0/src_test.bash4
-rw-r--r--paludis/repositories/e/ebuild/2/src_test.bash4
2 files changed, 4 insertions, 4 deletions
diff --git a/paludis/repositories/e/ebuild/0/src_test.bash b/paludis/repositories/e/ebuild/0/src_test.bash
index cd6bebe..a370f73 100644
--- a/paludis/repositories/e/ebuild/0/src_test.bash
+++ b/paludis/repositories/e/ebuild/0/src_test.bash
@@ -26,10 +26,10 @@ src_test()
echo "Makefile found, looking for potential test targets"
if make -j1 -n check ; then
echo "Found check target"
- emake check || die "make check failed"
+ emake -j1 check || die "make check failed"
elif make -j1 -n test ; then
echo "Found test target"
- emake test || die "make test failed"
+ emake -j1 test || die "make test failed"
else
echo "No check or test target, skipping tests"
fi
diff --git a/paludis/repositories/e/ebuild/2/src_test.bash b/paludis/repositories/e/ebuild/2/src_test.bash
index de0f5fd..f4bc43c 100644
--- a/paludis/repositories/e/ebuild/2/src_test.bash
+++ b/paludis/repositories/e/ebuild/2/src_test.bash
@@ -26,10 +26,10 @@ default_src_test()
echo "Makefile found, looking for potential test targets"
if make -j1 -n check ; then
echo "Found check target"
- emake check || die "make check failed"
+ emake -j1 check || die "make check failed"
elif make -j1 -n test ; then
echo "Found test target"
- emake test || die "make test failed"
+ emake -j1 test || die "make test failed"
else
echo "No check or test target, skipping tests"
fi